<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorator="layouts/main">
<head>
    <title>Media Gallery</title>
    <link rel="stylesheet" th:href="@{/css/mediaGallery.css}"/>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css"/>
</head>
<body>

<div layout:fragment="container" id="mediaGallery">
    <div class="col-md-4 col-md-offset-4">
        <div class="row body">
            <div class="col-md-12 body">
                <h1 th:text="#{profile.mediaGallery.title}" class="mainTitle"></h1>
                <h2 th:text="#{profile.mediaGallery.user}" class="subtitle"></h2>
            </div>
        </div>

        <div class="row videoContent" th:each="video: ${videos}">
            <div class="col-md-12">
                <div class="videoPlayButton">
                    <video th:if="${video.poster != null}"
                           th:id="${'video-' + video.id}"
                           th:poster="${video.poster}"
                           class="videoBox"
                           preload="auto">
                        <source th:src="${video.path}" th:type="${video.mimeType}"/>
                        Your browser does not support the video tag.
                    </video>

                    <video th:if="${video.poster == null}"
                           th:id="${'video-' + video.id}"
                           class="videoBox"
                           preload="auto">
                        <source th:src="${video.path}" th:type="${video.mimeType}"/>
                        Your browser does not support the video tag.
                    </video>

                    <h3 class="title" th:text="#{${video.name}}"></h3>
                </div>

            </div>
        </div>
    </div>

</div>

<div layout:fragment="js">
    <script rel="script" src="https://code.jquery.com/jquery-3.2.1.min.js"></script>
    <script th:src="@{/js/application.js}"></script>
    <script th:src="@{/js/mediaGallery.js}"></script>
</div>

<th:block layout:fragment="footer" th:include="fragments/base::score"/>

</body>
</html>